Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Member Functions | List of all members
LatBuilder::MeritSeq::ConcreteCoordUniformState< LAT, COMPRESS, LatCommon::PODWeights > Class Template Reference

Implementation of CoordUniformState for POD weights. More...

`#include <ConcreteCoordUniformState-POD.h>`

Inherits LatBuilder::MeritSeq::CoordUniformState< LAT, COMPRESS >.

## Public Member Functions
| ConcreteCoordUniformState (const Storage< LAT, COMPRESS > &storage, const LatCommon::PODWeights &weights)
| Constructor. More...
void | reset ()
| Resets the state to dimension 0 with new specified storage configuration.
void | update (const RealVector &kernelValues, Modulus gen)
| Updates the current state using the specified row of the permuted matrix of kernel values. More...
RealVector | weightedState () const
| Computes and returns the weighted state vector \(\boldsymbol q_s\). More...
std::unique_ptr < CoordUniformState< LAT, COMPRESS > > | clone () const
| Returns a copy of this instance. More...
Public Member Functions inherited from LatBuilder::MeritSeq::CoordUniformState< LAT, COMPRESS >
| CoordUniformState (Storage< LAT, COMPRESS > storage)
const Storage< LAT, COMPRESS > & | storage () const
| Returns a pointer to the storage configuration.
Dimension | dimension () const
| Returns the value of the internal dimension counter.

## Detailed Description

### template<LatType LAT, Compress COMPRESS>
class LatBuilder::MeritSeq::ConcreteCoordUniformState< LAT, COMPRESS, LatCommon::PODWeights >

Implementation of CoordUniformState for POD weights.

## Constructor & Destructor Documentation

template<LatType LAT, Compress COMPRESS>

LatBuilder::MeritSeq::ConcreteCoordUniformState< LAT, COMPRESS, LatCommon::PODWeights >::ConcreteCoordUniformState | ( | const Storage< LAT, COMPRESS > & | storage,
|  | const LatCommon::PODWeights & | weights
| ) |  |
| inline

Constructor.

Sets \(\mathcal D_0^2 = 0\) and \(\boldsymbol p_{0,\ell} = \boldsymbol 1\).

Parameters

  storage | Storage configuration.
  weights | POD weights

References LatBuilder::MeritSeq::ConcreteCoordUniformState< LAT, COMPRESS, WEIGHTS >::reset().

## Member Function Documentation

template<LatType LAT, Compress COMPRESS>

std::unique_ptr<CoordUniformState<LAT, COMPRESS> > LatBuilder::MeritSeq::ConcreteCoordUniformState< LAT, COMPRESS, LatCommon::PODWeights >::clone | ( |  | ) | const
| inline virtual

Returns a copy of this instance.

Implements LatBuilder::MeritSeq::CoordUniformState< LAT, COMPRESS >.

References LatBuilder::MeritSeq::ConcreteCoordUniformState< LAT, COMPRESS, WEIGHTS >::ConcreteCoordUniformState().

template<LatType LAT, Compress COMPRESS>

void LatBuilder::MeritSeq::ConcreteCoordUniformState< LAT, COMPRESS, LatCommon::PODWeights >::update | ( | const RealVector & | kernelValues,
|  | Modulus | gen
| ) |  |
| virtual

Updates the current state using the specified row of the permuted matrix of kernel values.

This corresponds to appending a component \(a_j\) to the generating vector \(\boldsymbol a = (a_1, \dots, a_{j-1})\). To each possible value of \(a_j\) corresponds a distinct row of the matrix \(\boldsymbol\Omega\) of kernel values.

This increases the internal dimension counter.

Computes

\[ \boldsymbol p_{s,\ell} = \boldsymbol p_{s-1,\ell} + \boldsymbol\omega_s \odot \boldsymbol p_{s-1,\ell-1}. \]

Reimplemented from LatBuilder::MeritSeq::CoordUniformState< LAT, COMPRESS >.

template<LatType LAT, Compress COMPRESS>

RealVector LatBuilder::MeritSeq::ConcreteCoordUniformState< LAT, COMPRESS, LatCommon::PODWeights >::weightedState | ( |  | ) | const
| virtual

Computes and returns the weighted state vector \(\boldsymbol q_s\).

Computes

\[ \boldsymbol q_s = \sum_{\ell=0}^s \Gamma_{\ell+1} \boldsymbol p_{s,\ell}. \]

Implements LatBuilder::MeritSeq::CoordUniformState< LAT, COMPRESS >.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/MeritSeq/ConcreteCoordUniformState-POD.h